org.rrd4j.core.jrrd

## Enum DataSourceType

- java.lang.Object
- - java.lang.Enum<DataSourceType>
  - - org.rrd4j.core.jrrd.DataSourceType

- All Implemented Interfaces:
    Serializable, Comparable<DataSourceType>

      public enum DataSourceType
      extends Enum<DataSourceType>

  Class DataSourceType
  Version:
    $Revision: 1.1 $

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABSOLUTE` Absolute data source type.
    `CDEF` Computed data source type (CDEF).
    `COUNTER` Counter data source type.
    `DERIVE` Derive data source type.
    `GAUGE` Gauge data source type.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract DsType` | `getDsType()`
    `static DataSourceType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DataSourceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ABSOLUTE

          public static final DataSourceType ABSOLUTE

      Absolute data source type.

    - #### CDEF

          public static final DataSourceType CDEF

      Computed data source type (CDEF).

    - #### COUNTER

          public static final DataSourceType COUNTER

      Counter data source type.

    - #### DERIVE

          public static final DataSourceType DERIVE

      Derive data source type.

    - #### GAUGE

          public static final DataSourceType GAUGE

      Gauge data source type.

  - ### Method Detail

    - #### getDsType

          public abstract DsType getDsType()

    - #### valueOf

          public static DataSourceType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static DataSourceType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DataSourceType c : DataSourceType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared